# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2018-06-05 17:49
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import jsoneditor.fields.django_jsonfield
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('consensus_base', '0007_pollgroupparticipant'),
    ]

    operations = [
        migrations.CreateModel(
            name='PollChange',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('change', jsoneditor.fields.django_jsonfield.JSONField(blank=True, default={})),
                ('ctime', models.DateTimeField(blank=True, db_index=True, null=True)),
                ('poll', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='consensus_base.Poll')),
            ],
        ),
    ]
